## ros-kinetic-moveit-planners-chomp 0.9.18

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(moveit_planners_chomp)

add_definitions(-std=c++11)

# find catkin in isolation so that CATKIN_ENABLE_TESTING is defined
find_package(catkin REQUIRED)
if (CATKIN_ENABLE_TESTING)
  set(CHOMP_TEST_DEPS moveit_ros_planning_interface)
endif()

find_package(catkin REQUIRED COMPONENTS
  roscpp
  moveit_core
  pluginlib
  chomp_motion_planner
  tf
  ${CHOMP_TEST_DEPS}
)

find_package(Eigen3 REQUIRED)

# Eigen 3.2 (Wily) only provides EIGEN3_INCLUDE_DIR, not EIGEN3_INCLUDE_DIRS
if(NOT EIGEN3_INCLUDE_DIRS)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
endif()

find_package(Boost REQUIRED)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS roscpp moveit_core pluginlib
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${EIGEN3_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME} src/chomp_interface.cpp src/chomp_planning_context.cpp)
set_target_properties(${PROJECT_NAME} PROPERTIES VERSION ${${PROJECT_NAME}_VERSION})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

add_library(chomp_planner_plugin src/chomp_plugin.cpp)
set_target_properties(chomp_planner_plugin PROPERTIES VERSION ${${PROJECT_NAME}_VERSION})
target_link_libraries(chomp_planner_plugin ${PROJECT_NAME} ${catkin_LIBRARIES})

install(FILES chomp_interface_plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY include/chomp_interface/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(TARGETS ${PROJECT_NAME} chomp_planner_plugin
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  # additional test dependencies
  find_package(rostest REQUIRED)
  add_rostest_gtest(chomp_moveit_test
    test/chomp_moveit.test
    test/chomp_moveit_test.cpp)
  target_link_libraries(chomp_moveit_test
    ${catkin_LIBRARIES}
    ${rostest_LIBRARIES})
endif()

=== debian/changelog ===
ros-kinetic-moveit-planners-chomp (0.9.18-1xenial) xenial; urgency=high

  * [fix] Add missing tf dependency in chomp packages
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 23 Jan 2020 23:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.17-1xenial) xenial; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 08 Jul 2019 22:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.16-1xenial) xenial; urgency=high

  * [maintanance] Cleanup Chomp packages (#1282 <https://github.com/ros-planning/moveit/issues/1282>)
  * Contributors: Michael Görner, Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 28 Jun 2019 22:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.15-1xenial) xenial; urgency=high

  * [fix] Build regression (#1134 <https://github.com/ros-planning/moveit/issues/1134>)
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 28 Oct 2018 23:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.14-1xenial) xenial; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 23 Oct 2018 22:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.13-1xenial) xenial; urgency=high

  * [fix] chomp tests: fix order of moveit includes (#970 <https://github.com/ros-planning/moveit/issues/970>)
  * [fix] needs to depend on cmake_modules. (#976 <https://github.com/ros-planning/moveit/issues/976>)
  * [capability][chomp] Failure recovery options for CHOMP by tweaking parameters (#987 <https://github.com/ros-planning/moveit/issues/987>)
  * [capability][chomp] cleanup of unused parameters and code + addition of trajectory initialization methods (linear, cubic, quintic-spline) (#960 <https://github.com/ros-planning/moveit/issues/960>)
  * [maintenance] various compiler warnings (#1038 <https://github.com/ros-planning/moveit/issues/1038>)
  * [maintenance] add minimum required pluginlib version (#927 <https://github.com/ros-planning/moveit/issues/927>)
  * Contributors: Chris Lalancette, Michael Görner, Mikael Arguedas, Raghavender Sahdev, Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 23 Oct 2018 22:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.12-1xenial) xenial; urgency=high

  * [fix] dependencies for chomp interface test (#778 <https://github.com/ros-planning/moveit/issues/778>)
  * Contributors: Bence Magyar, Dave Coleman, Ian McMahon, Mikael Arguedas, Robert Haschke, Stephan, Will Baker

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 28 May 2018 22:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.11-1xenial) xenial; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 24 Dec 2017 23:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.10-1xenial) xenial; urgency=high

  * [package.xml] Update maintainers (Add a release-maintainer etc.)
    For the reasoning, see https://github.com/ros-planning/moveit/issues/259
  * Contributors: Isaac I.Y. Saito

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 08 Dec 2017 23:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.9-1xenial) xenial; urgency=high

  * [improve] Chomp use PlanningScene (#546 <https://github.com/ros-planning/moveit/issues/546>) to partially address #305 <https://github.com/ros-planning/moveit/issues/305>
  * Contributors: Simon Schmeisser

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 05 Aug 2017 22:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.8-1xenial) xenial; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 20 Jun 2017 22:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.7-1xenial) xenial; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 04 Jun 2017 22:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.6-1xenial) xenial; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 11 Apr 2017 22:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.5-1xenial) xenial; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 07 Mar 2017 23:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.4-1xenial) xenial; urgency=high

  * [maintenance] clang-format upgraded to 3.8 (#367 <https://github.com/ros-planning/moveit/issues/367>)
  * Contributors: Dave Coleman

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 05 Feb 2017 23:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.3-1xenial) xenial; urgency=high

  * Merge pull request #330 <https://github.com/ros-planning/moveit/issues/330> from davetcoleman/kinetic-package.xml
    Updated package.xml maintainers and author emails
  * Updated package.xml maintainers and author emails
  * Contributors: Dave Coleman, Ian McMahon

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 15 Nov 2016 23:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.2-1xenial) xenial; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 04 Nov 2016 23:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.0-1xenial) xenial; urgency=high

  * Replace broken Eigen3 with correctly spelled EIGEN3 (#254 <https://github.com/ros-planning/moveit/issues/254>)
    * Fix Eigen3 dependency throughout packages
    * Eigen 3.2 does not provide EIGEN3_INCLUDE_DIRS, only EIGEN3_INCLUDE_DIR
  * Use shared_ptr typedefs in collision_distance_field and chomp.
  * Fix CHOMP planner and CollisionDistanceField (#155 <https://github.com/ros-planning/moveit/issues/155>)
    * Copy collision_distance_field package
    * Resurrect chomp
    * remove some old Makefiles and manifests
    * Correct various errors
    * Code formatting, author, description, version, etc
    * Add definitions for c++11. Nested templates problem.
    * Add name to planner plugin.
    * Change getJointModels to getActiveJointModels.
    * Call robot_state::RobotState::update in setRobotStateFromPoint.
    * Create README.md


=== debian/control ===
Source: ros-kinetic-moveit-planners-chomp
Section: misc
Priority: optional
Maintainer: Chittaranjan Srinivas Swaminathan <chitt@live.in>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-chomp-motion-planner, ros-kinetic-moveit-core, ros-kinetic-moveit-ros-planning-interface, ros-kinetic-pluginlib (>= 1.11.2), ros-kinetic-roscpp, ros-kinetic-rostest, ros-kinetic-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-moveit-planners-chomp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-chomp-motion-planner, ros-kinetic-moveit-core, ros-kinetic-pluginlib (>= 1.11.2), ros-kinetic-roscpp, ros-kinetic-tf
Description: The interface for using CHOMP within MoveIt!

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-moveit-planners-chomp//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
